PETSc version 3.15.5
Fix/Edit manual page

# SNESView

Prints the SNES data structure.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESView(SNES snes,PetscViewer viewer)

Collective on SNES

### Input Parameters

| SNES | - the SNES context
| viewer | - visualization context

### Options Database Key

| -snes_view | - Calls SNESView() at end of SNESSolve()

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The available formats include

| PETSC_VIEWER_DEFAULT | - standard output (default)
| PETSC_VIEWER_ASCII_INFO_DETAIL | - more verbose output for SNESNASM

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

In the debugger you can do "call SNESView(snes,0)" to display the SNES solver. (The same holds for any PETSc object viewer).

### See Also

PetscViewerASCIIOpen()

### Level

beginner

### Location

src/snes/interface/snes.c

### Implementations

SNESView_Composite in src/snes/impls/composite/snescomposite.c
SNESView_FAS in src/snes/impls/fas/fas.c
SNESView_NGS in src/snes/impls/gs/snesgs.c
SNESView_NEWTONLS in src/snes/impls/ls/ls.c
SNESView_MS in src/snes/impls/ms/ms.c
SNESView_Multiblock in src/snes/impls/multiblock/multiblock.c
SNESView_NASM in src/snes/impls/nasm/nasm.c
SNESView_NCG in src/snes/impls/ncg/snesncg.c
SNESView_NGMRES in src/snes/impls/ngmres/snesngmres.c
SNESView_Patch in src/snes/impls/patch/snespatch.c
SNESView_QN in src/snes/impls/qn/qn.c
SNESView_NRichardson in src/snes/impls/richardson/snesrichardson.c
SNESView_Shell in src/snes/impls/shell/snesshell.c
SNESView_NEWTONTR in src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages